import React, { Component } from 'react';
import { TextInputProps } from '@gravity-ui/uikit';
import type { ArrayElement } from '../types';
import './MultiTextControl.scss';
export declare type MultiTextControlProps = Partial<Omit<TextInputProps, 'value' | 'onBlur' | 'onFocus' | 'onUpdate' | 'onChange' | 'onKeyDown' | 'error'>> & {
    value: Array<{
        name: string;
        isDefault?: boolean;
    }>;
    onChange: (value: MultiTextControlProps['value']) => void;
    onFocus?: () => void;
    onBlur?: () => void;
    error?: string | undefined;
};
declare type ItemType = ArrayElement<MultiTextControlProps['value']>;
interface State {
    currentLabel: string;
}
declare class MultiTextControl extends Component<MultiTextControlProps, State> {
    static ENTER: number;
    static hasErrorRenderer: boolean;
    static getDefaultValue(): never[];
    static isEmpty(value: MultiTextControlProps['value']): boolean;
    static remove(theItem: ItemType, items: Array<ItemType>): {
        name: string;
        isDefault?: boolean | undefined;
    }[];
    state: State;
    updateLabel: (text: string) => void;
    confirmText: () => void;
    handleAdd: (evt: React.KeyboardEvent<HTMLInputElement>) => void;
    handleClear: () => void;
    handleRemove: (item: ItemType) => void;
    render(): React.JSX.Element;
}
export default MultiTextControl;
