import React, { Component } from 'react';
import './TabField.scss';
export interface TabFieldProps {
    className?: string;
    activeTab?: string;
    setActiveTab: (activeTab: string) => void;
    onRemoveTab?: (item: TabItem) => void;
    onCreateTab?: (fieldName: string, active?: boolean, opts?: {
        userOptions?: any;
    }) => void;
    tabItems: Array<TabItem>;
    size?: 's' | 'm' | 'l';
}
export interface TabItem {
    id: string;
    name: string;
    title: string;
    multiple?: boolean;
    removable?: boolean;
    error?: string | object;
}
export interface TabSpec {
    multiple?: boolean;
}
declare class TabField extends Component<TabFieldProps> {
    static isTabControl: true;
    static isTabControlVertical: boolean;
    static getDefaultValue(tabSpec: TabSpec): {};
    static isEmpty(value: Array<unknown>, tabSpec: TabSpec): boolean;
    static wrapTabItem: (onRemoveTab: TabFieldProps['onRemoveTab'], _onCreateTab: TabFieldProps['onCreateTab'], item: TabItem, tabNode: React.ReactNode, wrapperMods?: {}) => React.JSX.Element;
    render(): React.JSX.Element;
}
export default TabField;
