import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React from 'react';
import { ChevronDown, ChevronUp } from '@gravity-ui/icons';
import { dfCN } from '../../helpers/cn';
import './CollapsibleSection.css';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var block = dfCN('collapsible-section');
export function CollapsibleSection(_ref) {
  var className = _ref.className,
    alwaysExpanded = _ref.alwaysExpanded,
    initialCollapsed = _ref.initialCollapsed,
    children = _ref.children,
    caption = _ref.caption,
    captionClassName = _ref.captionClassName;
  var _React$useState = React.useState(initialCollapsed && !alwaysExpanded),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    collapsed = _React$useState2[0],
    setCollapsed = _React$useState2[1];
  var handleToggle = React.useCallback(function () {
    setCollapsed(!collapsed);
  }, [collapsed]);
  return /*#__PURE__*/_jsxs("section", {
    className: block(null, className),
    children: [/*#__PURE__*/_jsxs("h2", {
      className: block('caption', {
        collapsed: collapsed,
        collapsible: !alwaysExpanded
      }, captionClassName),
      onClick: alwaysExpanded ? undefined : handleToggle,
      children: [caption, !alwaysExpanded && /*#__PURE__*/_jsxs("span", {
        children: [" ", collapsed ? /*#__PURE__*/_jsx(ChevronDown, {}) : /*#__PURE__*/_jsx(ChevronUp, {})]
      })]
    }), /*#__PURE__*/_jsx("section", {
      className: block('content', {
        collapsed: collapsed
      }),
      children: children
    })]
  });
}
// #sourceMappingURL=CollapsibleSection.js.map