import React from 'react';
function error() {
  throw new Error('Cannot call an event handler while rendering or after unmount.');
}
export function useStableEventHandler(func) {
  var ref = React.useRef(error);
  React.useEffect(function () {
    ref.current = func;
    return function () {
      ref.current = error;
    };
  }, [func]);
  return React.useCallback(function () {
    var _ref$current;
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    return (_ref$current = ref.current) === null || _ref$current === void 0 ? void 0 : _ref$current.call.apply(_ref$current, [ref].concat(args));
  }, []);
}
// #sourceMappingURL=useStableEventHendler.js.map